LightDM 1.0.6 Arbitrary File Deletion Vulnerability

2012-03-13T00:00:00
ID EDB-ID:36966
Type exploitdb
Reporter Ryan Lortie
Modified 2012-03-13T00:00:00

Description

LightDM 1.0.6 Arbitrary File Deletion Vulnerability. CVE-2012-0943. Local exploit for linux platform

                                        
                                            source: http://www.securityfocus.com/bid/52452/info

Light Display Manager (LightDM) is prone to a local arbitrary-file-deletion vulnerability.

A local attacker can exploit this issue to delete arbitrary files with administrator privileges.

Light Display Manager (LightDM) 1.0.6 is vulnerable. Other versions may also be affected. 

/usr/sbin/guest-account has this cleanup:

# remove leftovers in /tmp
find /tmp -mindepth 1 -maxdepth 1 -uid "$UID" | xargs rm -rf || true

This runs with the cwd of the last logged in user. If the user creates a file "/tmp/x a", the file "a" gets removed from the last user's login.